Kintone CDN

Overview

Kintone CDN provides JavaScript programs and CSS, for Kintone users to use to customize their Kintone applications.
Check the How to use the CDN article for information on how to use these libraries with your Kintone App.
Read through the Kintone CDN Terms of Service and the Notes below before using the Kintone CDN.

  • The libraries that are posted here ones that we believe will be useful for business systems.
  • The cache for Kintone CDN is available for 10 years.
  • We will monitor new versions and so that they will be added onto the Kintone CDN
  • In principle, libraries posted on the Kintone CDN (including old versions) will not be removed.

Libraries

The URLs below show the latest available versions.

Ace

  • URL: https://js.kintone.com/ace/v1.4.1/ace.js
  • versions: 1.4.1, 1.3.3, 1.3.1, 1.2.9, 1.2.8, 1.2.6, 1.2.5, 1.2.3, 1.2.2, 1.2.0

AngularJS

  • URL: https://js.kintone.com/angularjs/v1.7.9/angular.min.js
  • versions: 1.7.9, 1.7.8, 1.7.7, 1.7.6, 1.7.5, 1.7.4, 1.7.3, 1.7.0, 1.6.10, 1.6.9, 1.6.8, 1.6.7, 1.6.6, 1.6.5, 1.6.4, 1.6.3, 1.6.2, 1.6.0, 1.5.11, 1.5.10, 1.5.9, 1.5.8, 1.5.7, 1.5.6, 1.5.5, 1.5.3, 1.5.0, 1..4.9, 1.4.8, 1.4.7, 1.4.5, 1.4.3, 1.4.1, 1.3.20, 1.2.29, 1.3.18, 1.3.16, 1.3.15, 1.3.14, 1.3.11, 1.3.5, 1.2.28, 1.2.27, 1.2.26

axios

  • URL: https://js.kintone.com/axios/v0.19.0/axios.min.js
  • versions: 0.19.0

Chart.js

  • URL: https://js.kintone.com/chartjs/v2.7.3/Chart.min.js
  • versions: 2.7.3, 2.7.2, 2.6.0, 2.5.0, 2.4.0, 2.3.0, 2.2.2, 2.1.6, 2.1.4, 2.1.2, 1.0.2, 1.0.1, 1.0.1 beta 4

DataTables

  • URL: https://js.kintone.com/datatables/v1.10.20/js/jquery.dataTables.min.js
  • URL: https://js.kintone.com/datatables/v1.10.20/css/jquery.dataTables.min.css
  • versions: 1.10.20, 1.10.19, 1.10.15, 1.10.13, 1.10.12, 1.10.11, 1.10.10, 1.10.9, 1.10.5

DOMPurify

  • URL: https://js.kintone.com/dompurify/2.0.7/purify.min.js
  • versions: 2.0.7, 2.0.3, 1.0.11, 1.0.10, 1.0.9, 1.0.8, 1.0.7, 1.0.5, 1.0.4, 1.0.3, 1.0.2, 0.9.0, 0.8.9, 0.8.5, 0.8.4, 0.8.3, 0.8.2, 0.8.1, 0.8.0, 0.7.4, 0.7.3, 0.7.2, 0.6.5
    Versions before 1.0.10 contain vulnerabilities that can be read in the DOMPurify Github release notes. The vulnerability has been fixed in 1.0.10.

Encoding.js

  • URL: https://js.kintone.com/encodingjs/1.0.30/encoding.min.js
  • versions: 1.0.30, 1.0.29

ES6-Promise

  • URL: https://js.kintone.com/es6-promise/v4.2.5/es6-promise.auto.min.js
  • versions: 4.2.5, 4.2.4, 4.2.2, 4.1.1, 4.1.0, 4.0.5

Font Awesome

ver. 4.X

  • URL: https://js.kintone.com/font-awesome/v4.7.0/css/font-awesome.min.css
  • versions: 4.7.0, 4.6.3, 4.6.2, 4.5.0, 4.4.0

ver. 5.X

  • URL: https://js.kintone.com/font-awesome/v5.5.0/css/fontawesome-all.min.css
  • versions: 5.5.0, 5.4.1,  5.3.1, 5.2.0, 5.0.13, 5.0.11

ver. 5.6.3 and up

  • URL: https://js.kintone.com/font-awesome/v5.11.2/css/fontawesome.min.css
  • versions: 5.11.2, 5.10.2, 5.9.0, 5.8.2, 5.8.1, 5.7.2, 5.6.3

FullCalendar

FullCalendar 1.x, 2.x, 3.x

  • URL: https://js.kintone.com/fullcalendar/v3.10.0/fullcalendar.min.js
  • URL: https://js.kintone.com/fullcalendar/v3.10.0/fullcalendar.min.css
  • URL: https://js.kintone.com/fullcalendar/v3.10.0/fullcalendar.print.min.css
  • versions: 3.10.0, 3.9.0, 3.8.0, 3.7.0, 3.6.2, 3.5.1, 3.4.0, 3.3.1, 3.2.0, 3.1.0, 3.0.1, 2.9.1, 2.7.3, 2.7.1, 2.6.1, 2.6.0, 2.5.0, 2.4.0, 2.3.2, 2.3.1, 2.3.0, 2.2.3, 2.1.1, 1.6.7, 1.6.4

FullCalendar 4.x

Be sure to use the correct files associated with the desired feature.

  • URL: https://js.kintone.com/fullcalendar/v4.3.1/core/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/core/main.min.css
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/daygrid/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/daygrid/main.min.css
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/google-calendar/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/interaction/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/list/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/list/main.min.css
  • URL: https://js.kintone.com/fullcalendar/v4.3.1/timegrid/main.min.js
  • URL: https://js.cybozu.com/fullcalendar/v4.3.1/timegrid/main.min.css
  • versions: 4.3.1, 4.2.0, 4.1.0

There were a few major changes with the v4 update:

  1. FullCalendar is no longer dependent on jQuery and Moment.js.
  2. To utilize FullCalendar plug-ins, they must be declared within the Kintone App's JavaScript file.
  3. Settings and callbacks have been reworked.

For more details on how to use FullCalendar v4, refer to the FullCalendar v4 Release Notes and Upgrade Guide.

Handsontable

  • URL: https://js.kintone.com/handsontable/7.2.2/handsontable.full.min.js
  • URL: https://js.kintone.com/handsontable/7.2.2/handsontable.full.min.css
  • versions: 7.2.2, 7.1.1, 7.1.0, 7.0.3, 7.0.0, 6.2.2, 6.2.0, 6.1.1, 5.0.2, 5.0.1, 5.0.0, 4.0.0, 3.0.0, 2.0.0, 0.38.1, 0.37.0, 0.35.1, 0.35.0, 0.34.5, 0.34.4, 0.34.0, 0.33.0, 0.32.0, 0.31.2, 0.31.1, 0.31.0, 0.30.1, 0.29.2, 0.29.0, 0.28.4, 0.28.3, 0.27.0, 0.26.0, 0.25.0, 0.24.3, 0.24.1, 0.23.0, 0.21.0, 0.20.0, .17.0, 0.16.1, 0.15.1, 0.14.1
    Versions before 7.1.1 contain vulnerabilities that can be read in the Handsontable GitHub release notes. The vulnerability has been fixed in 7.1.1

highlight.js

  • URL: https://js.kintone.com/highlightjs/9.13.1/highlight.min.js
  • URL: https://js.kintone.com/highlightjs/9.13.1/styles/default.min.css
  • versions: 9.13.1

jqGrid

  • URL: https://js.kintone.com/jqgrid/v5.4.0/js/jquery.jqGrid.min.js
  • URL: https://js.kintone.com/jqgrid/v5.4.0/js/i18n/grid.locale-en.js
  • URL: https://js.kintone.com/jqgrid/v5.4.0/js/i18n/grid.locale-ja.js
  • URL: https://js.kintone.com/jqgrid/v5.4.0/js/i18n/grid.locale-cn.js
  • URL: https://js.kintone.com/jqgrid/v5.4.0/css/ui.jqgrid.css
  • versions: 5.4.0, 5.3.2, 5.3.1, 5.2.1, 5.2.0, 5.1.1, 5.1.0, 5.0.2, 5.0.0, 4.8.2, 4.7.1, 4.6.0

jQuery

  • URL: https://js.kintone.com/jquery/3.4.1/jquery.min.js
  • versions: 3.4.1, 3.4.0, 3.3.1, 3.2.1, 3.2.0, 3.1.1, 3.1.0, 3.0.0, 2.2.4, 2.2.3, 2.2.1, 2.2.0, 2.1.4, 2.1.3, 2.1.1, 1.12.4, 1.12.3, 1.12.1, 1.12.0, 1.11.3, 1.11.2, 1.11.1
    Versions before 3.4.0 contain vulnerabilities that can be read in this Github pull request. The vulnerability has been fixed in 3.4.0.

jQuery UI

  • URL: https://js.kintone.com/jqueryui/1.12.1/jquery-ui.min.js
  • URL: https://js.kintone.com/jqueryui/1.12.1/themes/smoothness/jquery-ui.css
  • URL: https://js.kintone.com/jqueryui/1.12.1/themes/ui-lightness/jquery-ui.css
  • URL: https://js.kintone.com/jqueryui/1.12.1/themes/pepper-grinder/jquery-ui.css
    Other jQuery UI themes are also available on the CDN.
  • versions: 1.12.1, 1.12.0, 1.11.4, 1.11.3, 1.11.2, 1.11.1

jQuery.Gantt

  • URL: https://js.kintone.com/jquerygantt/1.1.0/jquery.fn.gantt.min.js
  • URL: https://js.kintone.com/jquerygantt/1.1.0/css/style.css
  • versions: 1.1.0, 20140623

JSRender

  • URL: https://js.kintone.com/jsrender/1.0.5/jsrender.min.js
  • versions: 1.0.5, 1.0.4, 1.0.3, 1.0.2, 1.0.1, 0.9.91, 0.9.90, 0.9.89, 0.9.88, 0.9.86, 0.9.84, 0.9.83, 0.9.82, 0.9.80, 0.9.78, 0.9.76, 0.9.75, 0.9.72, 1.0.0-beta

jsTree

  • URL: https://js.kintone.com/jstree/3.3.8/jstree.min.js
  • URL: https://js.kintone.com/jstree/3.3.8/themes/default/style.min.css
  • versions: 3.3.8, 3.3.7, 3.3.6, 3.3.5, 3.3.4, 3.3.3, 3.3.2, 3.3.1, 3.3.0, 3.2.1, 3.1.1, 3.0.9, 3.0.4

JSZip

  • URL: https://js.kintone.com/jszip/v3.2.2/jszip.min.js
  • versions: 3.2.2, 3.2.0, 3.1.5, 3.1.4, 3.1.3, 3.1.2, 3.0.0, 2.6.0, 2.5.0, 2.4.0

lodash

  • URL: https://js.kintone.com/lodash/4.17.11/lodash.min.js
  • versions: 4.17.11, 4.17.10, 4.17.5, 4.17.4

marked

  • URL: https://js.kintone.com/markedjs/v0.7.0/marked.min.js
  • versions: 0.7.0, 0.5.1, 0.5.0, 0.4.0, 0.3.19, 0.3.7, 0.3.6, 0.3.5, 0.3.3
    Versions before 0.5.0 contain vulnerabilities that can be read in the marked.js release notes. The vulnerability has been fixed in 0.5.0.

Moment.js

  • URL: https://js.kintone.com/momentjs/2.24.0/moment.min.js
  • URL: https://js.kintone.com/momentjs/2.24.0/moment-with-locales.min.js
  • versions: 2.24.0, 2.23.0, 2.22.1, 2.22.0, 2.21.0, 2.20.1, 2.19.2, 2.19.1, 2.18.1, 2.17.1, 2.15.2, 2.15.1, 2.14.1, 2.13.0, 2.12.0, 2.11.1, 2.10.6, 2.10.3, 2.10.2, 2.9.0, 2.8.4, 2.8.3
    Versions under 2.19.3 contain vulnerabilities that can be read in this Github Issue. The vulnerability has been fixed in 2.19.3.

Moment Timezone

  • URL: https://js.kintone.com/moment-timezone/0.5.23/moment-timezone.min.js
  • URL: https://js.kintone.com/moment-timezone/0.5.23/moment-timezone-with-data.min.js
  • versions: 0.5.23, 0.5.17, 0.5.16, 0.5.14, 0.5.13

OpenLayers

  • URL: https://js.kintone.com/openlayers/v6.1.1/ol.js
  • URL: https://js.kintone.com/openlayers/v6.1.1/ol.css
  • versions: 6.1.1, 6.0.1, 6.0.0, 5.3.3, 5.3.0, 5.2.0, 5.1.3, 5.0.0, 4.6.5, 4.6.2, 4.5.0, 4.4.2, 4.3.4, 4.3.2, 4.2.0, 4.1.1, 4.0.1, 3.20.1, 3.20.0, 3.19.1, 3.18.2, 2.17.1, 3.16.0, 3.15.1, 3.14.2, 3.13.0, 3.11.2, 3.10.1, 3.8.2, 3.7.0, 3.6.0, 3.5.0, 3.4.0, 3.2.1, 3.1.1, 3.0.0

popModal

  • URL: https://js.kintone.com/popmodal/1.26/popModal.min.js
  • URL: https://js.kintone.com/popmodal/1.26/popModal.min.css
  • versions: 1.26, 1.25, 1.24, 1.23, 1.22, 1.21, 1.20, 1.19, 1.17

slabText

  • URL: https://js.kintone.com/slabtext/2.2.0/jquery.slabtext.min.js
  • URL: https://js.kintone.com/slabtext/2.2.0/slabtext.css
  • versions: 2.2.0

Spin.js

  • URL: https://js.kintone.com/spinjs/2.3.2/spin.min.js
  • versions: 2.3.2, 2.0.1

*Due to the library provider changing the format they provide the library in, version 2.3.2 will be our final version that we add to the Kintone CDN.

SweetAlert

ver. 0.X

  • URL: https://js.kintone.com/sweetalert/v0.5.0/sweet-alert.min.js
  • URL: https://js.kintone.com/sweetalert/v0.5.0/sweet-alert.css
  • versions: 0.5.0

ver. 1.X

  • URL: https://js.kintone.com/sweetalert/v1.1.3/sweetalert.min.js
  • URL: https://js.kintone.com/sweetalert/v1.1.3/sweetalert.css
  • versions: 1.1.3, 1.1.0

ver. 2.X (css not needed)

  • URL: https://js.kintone.com/sweetalert/v2.1.2/sweetalert.min.js
  • versions: 2.1.2, 2.1.0, 2.0.7, 2.0.4

SweetAlert2

  • URL: https://js.kintone.com/sweetalert2/v9.4.0/sweetalert2.min.js
  • URL: https://js.kintone.com/sweetalert2/v9.4.0/sweetalert2.min.css
  • versions: 9.4.0, 8.18.6, 8.17.6, 8.16.3, 8.14.0, 8.13.0, 8.11.6, 8.8.1, 8.5.0, 8.2.1, 8.0.1, 7.33.1, 7.29.1, 7.28.10, 7.28.2, 7.26.12, 7.26.9, 7.24.4, 7.22.2, 7.21.1, 7.19.2, 7.18.0, 7.15.0, 7.8.2, 7.3.5, 7.0.5, 6.11.3, 6.10.1, 6.6.10, 6.6.6, 6.6.4, 6.6.2, 6.5.5, 6.4.2

toastr

  • URL: https://js.kintone.com/toastr/2.1.4/toastr.min.js
  • URL: https://js.kintone.com/toastr/2.1.4/toastr.min.css
  • versions: 2.1.4, 2.1.1

Underscore.js

  • URL: https://js.kintone.com/underscore/1.9.1/underscore-min.js
  • versions: 1.9.1, 1.9.0, 1.8.3

Vue.js

  • URL: https://js.kintone.com/vuejs/v2.6.10/vue.min.js
  • versions: 2.6.10, 2.6.9, 2.6.6, 2.5.22, 2.5.21, 2.5.17, 2.5.16, 2.5.11, 2.5.8, 2.5.2, 2.4.4, 2.4.2, 2.3.4, 2.3.3, 2.3.2, 2.1.10, 2.1.8, 2.1.4, 2.0.3, 1.0.28, 1.0.26, 1.0.24
    Versions before 2.5.22 contain vulnerabilities that can be read in the Vue.js Github release notes. The vulnerability has been fixed in 2.5.22.

 

Notes

  • The libraries above were not created by Kintone Corp.
  • We do not accept inquiries based on features and specifications of these libraries.
  • If you have any questions on how to use the libraries with Kintone, post your question in the Kintone Developer Program community.
Was this article helpful?
0 out of 0 found this helpful
Do you have any questions or issues related to this article?
Please share your views with us in the Community forums!